## NAME

         curl_strequal, curl_strnequal - case insensitive string com
         parisons

## SYNOPSIS

         #include <curl/curl.h>

         int curl_strequal(char *str1, char *str2);

         int curl_strenqual(char *str1, char *str2, size_t len

## DESCRIPTION

         The curl_strequal() function compares the two  strings  str1
         and  str2, ignoring the case of the characters. It returns a
         non-zero (TRUE) integer if the strings are identical.

         The curl_strnequal() function is  similar,  except  it  only
         compares the first len characters of str1.

         These  functions  are provided by libcurl to enable applica
         tions to compare strings in a truly portable  manner.  There
         are  no standard portable case insensitive string comparison
         functions. These two works on all platforms.

## RETURN VALUE

         Non-zero if the strings are identical. Zero if they're  not.

## SEE ALSO

         strcmp(3), strcasecmp(3)